%define		module	pyao
Summary:	A Python module for the the ao library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki ao
Name:		python-%{module}
Version:	0.82
Release:	10
License:	GPL
Group:		Libraries/Python
Source0:	http://ekyo.nerim.net/software/pyogg/%{module}-%{version}.tar.gz
# Source0-md5:	8e00f5154401a6f6d99efd20606e2819
Patch0:		%{name}-fix.patch
URL:		http://ekyo.nerim.net/software/pyogg/
BuildRequires:	libao-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-modules
Obsoletes:	pyao
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyao is a wrapper for libao, an audio device abstraction library.

%description -l pl.UTF-8
Pyao jest wrapperem dla libao - biblioteki abstrakcji do odtwarzania
dźwięku.

%package devel
Summary:	pyao header and example programs
Summary(pl.UTF-8):	Plik nagłówkowy modułu pyao
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	libao-devel
Obsoletes:	pyao-devel

%description devel
Pyao is a wrapper for libao, an audio device abstraction library. This
package contains the header file and example program for pyao.

%description devel -l pl.UTF-8
Pyao jest wrapperem dla libao - biblioteki abstrakcji do odtwarzania
dźwięku. Ten pakiet zawiera plik nagłówkowy i przykładowy program dla
modułu pyao.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
python config_unix.py \
	--prefix %{_prefix}
python setup.py config
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_incdir}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install \
	--root $RPM_BUILD_ROOT

install src/aomodule.h $RPM_BUILD_ROOT%{py_incdir}

chmod -x test.py
install test.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{py_sitedir}/*.so

%files devel
%defattr(644,root,root,755)
%{py_incdir}/aomodule.h
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyao.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4549da9
- release 10 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f5efddc
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 28f650e
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 9e115c4
- release 9

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5542cf4
- release 8

* Thu Jun 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ac581e6
- release 7

* Tue Jun 08 2010 hawk <hawk@pld-linux.org> cf642bb
- fix building with libao 1.0.0

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 41a1e48
- rel 5

* Fri Nov 28 2008 lisu <lisu@pld-linux.org> 0dbc854
- proper URL

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bcfac1b
- release 4

* Fri Mar 02 2007 beorn <beorn@pld-linux.org> e11c67c
- Fixed comment of the -devel package

* Fri Mar 02 2007 beorn <beorn@pld-linux.org> 7a8f12b
- File test.py moved from -devel package to _examplesdir of the base package (it is an example usage of the python module, not aomodule.h header file)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 24c47ba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b26d1e5
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 5df4d62
- strict internal deps

* Sun Sep 03 2006 Patryk Zawadzki <patrys@room-303.com> 0c4e8b9
- new maintainer

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> d0d37a5
- mass commit: remove obsolete BR: rpm-pythonprov

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> ec17c08
- removed %include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> b419e23
- capitalization, tabs, other cosmetics

* Sat Nov 22 2003 Jakub Bogusz <qboosh@pld-linux.org> 9f24484
- updated to 0.82

